Where is next button

asked Jan 12, 2013 by delboy9999 (200 points)
I have just downloaded the CMS and E-commerce  today trying on both live and local host:

The Local host just keeps saying "check again"  with the warnings:
1) Curl extension for PHP
2) Important! Make sure you turn OFF Magic quotes
3) Optional but recommended: IonCube Loader

For the live version I only got the error:
turn OFF Magic quotes; to resolve this on the file step1.phtml on line 36 I changed "true" to "false"

Which gave me all green OK's but there is still no NEXT button only CHECK AGAIN

Any ideas how I can resolve these issues?

Many thanks

2 Answers

answered Jan 12, 2013 by seotoaster (14,340 points)
selected Jan 12, 2013 by seotoaster
 
Best answer
Delboy, hello. I understand you went into the installer and disabled the warning.. Nevertheless, those magic quotes should be turned Off, otherwise the toaster will not work correctly.. you will get those nasty backslashes anytime you try to update the templates or enter any single/double quotes..  The installer is there to make sure you have the right environment on your server.
commented Jan 12, 2013 by delboy9999 (200 points)
Hi cheers for the quick answer :)

I thought that was me fixing the issue not disabling the warning my mistake, I created an php.ini file and php5.ini file with:

magic_quotes_gpc = Off
magic_quotes_runtime = Off
magic_quotes_sybase = Off

Is this all I need to put on that file? Plus where do I put it as I tried a few places that did not resolve the issue.

Regards Del
answered Jan 12, 2013 by Eugene Nezhuta (2,920 points)
Hi there! First of all, you should not do that! That is a hard hack of the system. If you will install toaster that way - it will not work correctly...
Just follow all the requirements of the installer and everything will be fine.
In addition, please, let us know what kind of system you're using? OS, php version, mysql version, etc...
commented Jan 12, 2013 by delboy9999 (200 points)
Thank you for the reply the chap at my hosting sorted it out his end so my live site is sorted :)

Now the only issue is my localhost is saying: Curl extension for PHP

I am using WAMP on Windows 7 which is:
Apache Version : 2.2.21  
PHP Version : 5.3.10
commented Jan 12, 2013 by seotoaster (14,340 points)
Your PHP version is wrong.. Should be 5.3.3 minimum as per the specifications. The Curl extension should be loaded with this version.
commented Jan 12, 2013 by delboy9999 (200 points)
Ok cheers again I will get that sorted!

Many thanks again for the quick responses :)
...